com.trendmicro.ds.platform.rest.api

## Interface IMonitoringAPI

-     public interface IMonitoringAPI

  Interface for the monitoring API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TenantAggregateHostProtectionListing` | `listAggregateHostProtection(java.lang.String tenantName, java.lang.Integer tID, java.util.Date from, java.util.Date to, java.lang.String sID)` List aggregate tenant computer protection information.
    `TenantDatabaseUsageListing` | `listDatabaseUsage(java.lang.String tenantName, java.lang.Integer tID, java.util.Date from, java.util.Date to, java.lang.String sID)` List high-level database usage information.
    `TenantHostProtectionListing` | `listHostProtection(java.lang.String tenantName, java.lang.Integer tID, java.util.Date from, java.util.Date to, java.lang.String sID)` List host protection information.
    `JVMUsageListing` | `listJvmUsage(java.lang.Integer managerNodeID, java.util.Date from, java.util.Date to, java.lang.String sID)` List Java Virtual Machine statistics.
    `TenantManagerUsageListing` | `listManagerUsage(java.lang.String tenantName, java.lang.Integer tID, java.lang.Integer managerNodeID, java.util.Date from, java.util.Date to, java.lang.String sID)` List information about how tenants have used the system, with results broken down by the Deep Security Manager node.
    `TenantUsageListing` | `listTenantUsage(java.lang.String tenantName, java.lang.Integer tID, java.util.Date from, java.util.Date to, java.lang.String sID)` List general information about how tenants have used the system.

- - ### Method Detail

    - #### listDatabaseUsage

          TenantDatabaseUsageListing listDatabaseUsage(java.lang.String tenantName,
                                                       java.lang.Integer tID,
                                                       java.util.Date from,
                                                       java.util.Date to,
                                                       java.lang.String sID)
                                                throws java.lang.Exception

      List high-level database usage information.
      Parameters:
        `tenantName` - the name of the tenant to retrieve the usage information for.
        `tID` - the ID of the tenant to retrieve the usage information for. If neither tenantName nor tID are specified, usage information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
        `from` - The date from which to list the usages. If not set, then a time of one hour ago is used.
        `to` - The date up to which to list the usages. If not set, the current server time is used.
        `sID` - the session identifier. This must belong to an administrator from the primary tenant.
      Returns:
        The requested database usage statistics.
      Throws:
        `java.lang.Exception`

    - #### listTenantUsage

          TenantUsageListing listTenantUsage(java.lang.String tenantName,
                                             java.lang.Integer tID,
                                             java.util.Date from,
                                             java.util.Date to,
                                             java.lang.String sID)
                                      throws java.lang.Exception

      List general information about how tenants have used the system. The list returned can include multiple entries for the same tenant, with each entry spanning different time periods; no aggregation is performed.
      Parameters:
        `tenantName` - the name of the tenant to retrieve the usage information for.
        `tID` - the ID of the tenant to retrieve the usage information for. If neither tenantName nor tID are specified, usage information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
        `from` - The date from which to list the usages. Returned usages will have a start date greater than or equal to this value. If not set, then a time of one hour ago is used.
        `to` - The date up to which to list the usages. Returned usages will have an end date less than or equal to this value. If not set, the current server time is used.
        `sID` - the session identifier. This must belong to an administrator from the primary tenant.
      Returns:
        The tenant usage statistics.
      Throws:
        `java.lang.Exception`

    - #### listManagerUsage

          TenantManagerUsageListing listManagerUsage(java.lang.String tenantName,
                                                     java.lang.Integer tID,
                                                     java.lang.Integer managerNodeID,
                                                     java.util.Date from,
                                                     java.util.Date to,
                                                     java.lang.String sID)
                                              throws java.lang.Exception

      List information about how tenants have used the system, with results broken down by the Deep Security Manager node. The list returned can include multiple entries for the same tenant and manager node spanning different time periods; no aggregation is performed.
      Parameters:
        `tenantName` - the name of the tenant to retrieve the usage information for.
        `tID` - the ID of the tenant to retrieve the usage information for. If neither tenantName nor tID are specified, usage information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
        `managerNodeID` - the ID of the manager node to retrieve the usage information for. If not set, usage information for all manager nodes is retrieved.
        `from` - The date from which to list the usages. Returned usages will have a start date greater than or equal to this value. If not set, then a time of one hour ago is used.
        `to` - The date up to which to list the usages. Returned usages will have an end date less than or equal to this value. If not set, the current server time is used.
        `sID` - the session identifier. This must belong to an administrator from the primary tenant.
      Returns:
        The tenant manager usage statistics requested.
      Throws:
        `java.lang.Exception`

    - #### listHostProtection

          TenantHostProtectionListing listHostProtection(java.lang.String tenantName,
                                                         java.lang.Integer tID,
                                                         java.util.Date from,
                                                         java.util.Date to,
                                                         java.lang.String sID)
                                                  throws java.lang.Exception

      List host protection information.
      Parameters:
        `tenantName` - the name of the tenant to retrieve the host protection information for.
        `tID` - the ID of the tenant to retrieve the host protection information for. If neither tenantName nor tID are specified, host protection information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
        `from` - The date from which to gather the usage. If not set, then a time of one hour ago is used.
        `to` - The date up to which to gather the usage. If not set, the current server time is used.
        `sID` - the session identifier. This must belong to an administrator from the primary tenant.
      Returns:
        The host usage statistics for all tenants
      Throws:
        `java.lang.Exception`

    - #### listAggregateHostProtection

          TenantAggregateHostProtectionListing listAggregateHostProtection(java.lang.String tenantName,
                                                                           java.lang.Integer tID,
                                                                           java.util.Date from,
                                                                           java.util.Date to,
                                                                           java.lang.String sID)
                                                                    throws java.lang.Exception

      List aggregate tenant computer protection information. For a detailed breakdown of all the host protection information that is used to calculate the aggregate, use the monitoring/usages/hosts/protection API.

      Usage for each computer is calculated to the nearest second, rounded up.

      Parameters:
        `tenantName` - the name of the tenant to retrieve the host protection information for.
        `tID` - the ID of the tenant to retrieve the host protection information for. If neither tenantName nor tID are specified, host protection information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
        `from` - The date from which to gather the usage. If not set, then a time of one hour ago is used.
        `to` - The date up to which to gather the usage. If not set, the current server time is used.
        `sID` - the session identifier. This must belong to an administrator from the primary tenant.
      Returns:
        The requested host usage statistics
      Throws:
        `java.lang.Exception`

    - #### listJvmUsage

          JVMUsageListing listJvmUsage(java.lang.Integer managerNodeID,
                                       java.util.Date from,
                                       java.util.Date to,
                                       java.lang.String sID)
                                throws java.lang.Exception

      List Java Virtual Machine statistics.
      Parameters:
        `managerNodeID` - the ID of the manager node to retrieve the usage information for. If not set, usage information for all manager nodes is retrieved.
        `from` - The date from which to list the usage statistics. If not set, then a time of one hour ago is used.
        `to` - The date up to which to gather the usage. If not set, the current time is used.
        `sID` - the session identifier. This must belong to an administrator from the primary tenant.
      Returns:
        The requested virtual machine statistics.
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.